uniform sampler2D Color0; // this should hold the texture rendered by the horizontal blur pass

const float blurSize = 1.0/192.0;
 
void main(void)
{
  /*
   vec4 sum = vec4(0.0);
 
   // blur in y (vertical)
   // take nine samples, with the distance blurSize between them
   sum += texture2D(Color0, vec2(gl_TexCoord[0].s, gl_TexCoord[0].t - 2.5*blurSize)) * 0.054670;
   sum += texture2D(Color0, vec2(gl_TexCoord[0].s, gl_TexCoord[0].t - 2.0*blurSize)) * 0.080657;
   sum += texture2D(Color0, vec2(gl_TexCoord[0].s, gl_TexCoord[0].t - 1.5*blurSize)) * 0.106483;
   sum += texture2D(Color0, vec2(gl_TexCoord[0].s, gl_TexCoord[0].t - blurSize    )) * 0.125795;
   sum += texture2D(Color0, vec2(gl_TexCoord[0].s, gl_TexCoord[0].t               )) * 0.361479;
   sum += texture2D(Color0, vec2(gl_TexCoord[0].s, gl_TexCoord[0].t + blurSize    )) * 0.125795;
   sum += texture2D(Color0, vec2(gl_TexCoord[0].s, gl_TexCoord[0].t + 1.5*blurSize)) * 0.106483;
   sum += texture2D(Color0, vec2(gl_TexCoord[0].s, gl_TexCoord[0].t + 2.0*blurSize)) * 0.080657;
   sum += texture2D(Color0, vec2(gl_TexCoord[0].s, gl_TexCoord[0].t + 2.5*blurSize)) * 0.054670;
 
   gl_FragColor = sum;
   */
   gl_FragColor = texture2D(Color0, gl_TexCoord[0].st);
}

// gaussian from sigma = 3, via my understanding of wikipedia's gaussian filter entry